Rename 'debugging' to 'g_debugging'

Signed-off-by: Tom Eastep <teastep@shorewall.net>
This commit is contained in:
Tom Eastep 2010-02-22 16:43:38 -08:00
parent 3fc10cd94b
commit b2350829b9
4 changed files with 67 additions and 67 deletions

View File

@ -508,7 +508,7 @@ show_command() {
g_ipt_options="$g_ipt_options $g_ipt_options1" g_ipt_options="$g_ipt_options $g_ipt_options1"
[ -n "$debugging" ] && set -x [ -n "$g_debugging" ] && set -x
case "$1" in case "$1" in
connections) connections)
[ $# -gt 1 ] && usage 1 [ $# -gt 1 ] && usage 1
@ -780,7 +780,7 @@ dump_command() {
[ $VERBOSE -lt 2 ] && VERBOSE=2 [ $VERBOSE -lt 2 ] && VERBOSE=2
[ -n "$debugging" ] && set -x [ -n "$g_debugging" ] && set -x
[ $# -eq 0 ] || usage 1 [ $# -eq 0 ] || usage 1
clear_term clear_term
echo "$PRODUCT $version Dump at $HOSTNAME - $(date)" echo "$PRODUCT $version Dump at $HOSTNAME - $(date)"
@ -1334,7 +1334,7 @@ hits_command() {
# 'allow' command executor # 'allow' command executor
# #
allow_command() { allow_command() {
[ -n "$debugging" ] && set -x [ -n "$g_debugging" ] && set -x
[ $# -eq 1 ] && usage 1 [ $# -eq 1 ] && usage 1
if shorewall_is_started ; then if shorewall_is_started ; then
if ! chain_exists dynamic; then if ! chain_exists dynamic; then
@ -1424,7 +1424,7 @@ logwatch_command() {
esac esac
done done
[ -n "$debugging" ] && set -x [ -n "$g_debugging" ] && set -x
if [ $# -eq 1 ]; then if [ $# -eq 1 ]; then
logwatch $1 logwatch $1

View File

@ -363,7 +363,7 @@ compiler() {
[ -n "$TIMESTAMP" ] && options="$options --timestamp" [ -n "$TIMESTAMP" ] && options="$options --timestamp"
[ -n "$g_test" ] && options="$options --test" [ -n "$g_test" ] && options="$options --test"
[ -n "$PREVIEW" ] && options="$options --preview" [ -n "$PREVIEW" ] && options="$options --preview"
[ "$debugging" = trace ] && options="$options --debug" [ "$g_debugging" = trace ] && options="$options --debug"
[ -n "$g_refreshchains" ] && options="$options --refresh=$g_refreshchains" [ -n "$g_refreshchains" ] && options="$options --refresh=$g_refreshchains"
# #
# Run the appropriate params file # Run the appropriate params file
@ -389,15 +389,15 @@ start_command() {
if [ -n "$AUTOMAKE" ]; then if [ -n "$AUTOMAKE" ]; then
[ -n "$nolock" ] || mutex_on [ -n "$nolock" ] || mutex_on
${VARDIR}/firewall $debugging start ${VARDIR}/firewall $g_debugging start
rc=$? rc=$?
[ -n "$nolock" ] || mutex_off [ -n "$nolock" ] || mutex_off
else else
progress_message3 "Compiling..." progress_message3 "Compiling..."
if compiler $debugging $nolock compile ${VARDIR}/.start; then if compiler $g_debugging $nolock compile ${VARDIR}/.start; then
[ -n "$nolock" ] || mutex_on [ -n "$nolock" ] || mutex_on
${VARDIR}/.start $debugging start ${VARDIR}/.start $g_debugging start
rc=$? rc=$?
[ -n "$nolock" ] || mutex_off [ -n "$nolock" ] || mutex_off
else else
@ -607,7 +607,7 @@ compile_command() {
[ "x$file" = x- ] || progress_message3 "Compiling..." [ "x$file" = x- ] || progress_message3 "Compiling..."
compiler $debugging compile $file compiler $g_debugging compile $file
} }
# #
@ -682,7 +682,7 @@ check_command() {
progress_message3 "Checking..." progress_message3 "Checking..."
compiler $debugging $nolock check compiler $g_debugging $nolock check
} }
# #
@ -781,9 +781,9 @@ restart_command() {
if [ -z "$g_fast" ]; then if [ -z "$g_fast" ]; then
progress_message3 "Compiling..." progress_message3 "Compiling..."
if compiler $debugging $nolock compile ${VARDIR}/.restart; then if compiler $g_debugging $nolock compile ${VARDIR}/.restart; then
[ -n "$nolock" ] || mutex_on [ -n "$nolock" ] || mutex_on
$SHOREWALL_SHELL ${VARDIR}/.restart $debugging restart $SHOREWALL_SHELL ${VARDIR}/.restart $g_debugging restart
rc=$? rc=$?
[ -n "$nolock" ] || mutex_off [ -n "$nolock" ] || mutex_off
else else
@ -793,7 +793,7 @@ restart_command() {
else else
[ -x ${VARDIR}/firewall ] || fatal_error "No ${VARDIR}/firewall file found" [ -x ${VARDIR}/firewall ] || fatal_error "No ${VARDIR}/firewall file found"
[ -n "$nolock" ] || mutex_on [ -n "$nolock" ] || mutex_on
$SHOREWALL_SHELL ${VARDIR}/firewall $debugging restart $SHOREWALL_SHELL ${VARDIR}/firewall $g_debugging restart
rc=$? rc=$?
[ -n "$nolock" ] || mutex_off [ -n "$nolock" ] || mutex_off
fi fi
@ -851,9 +851,9 @@ refresh_command() {
progress_message3 "Compiling..." progress_message3 "Compiling..."
if compiler $debugging $nolock compile ${VARDIR}/.refresh; then if compiler $g_debugging $nolock compile ${VARDIR}/.refresh; then
[ -n "$nolock" ] || mutex_on [ -n "$nolock" ] || mutex_on
$SHOREWALL_SHELL ${VARDIR}/.refresh $debugging refresh $SHOREWALL_SHELL ${VARDIR}/.refresh $g_debugging refresh
rc=$? rc=$?
[ -n "$nolock" ] || mutex_off [ -n "$nolock" ] || mutex_off
else else
@ -952,7 +952,7 @@ safe_commands() {
progress_message3 "Compiling..." progress_message3 "Compiling..."
if ! compiler $debugging nolock compile ${VARDIR}/.$command; then if ! compiler $g_debugging nolock compile ${VARDIR}/.$command; then
status=$? status=$?
exit $status exit $status
fi fi
@ -972,7 +972,7 @@ safe_commands() {
[ -n "$nolock" ] || mutex_on [ -n "$nolock" ] || mutex_on
if ${VARDIR}/.$command $debugging $command; then if ${VARDIR}/.$command $g_debugging $command; then
echo -n "Do you want to accept the new firewall configuration? [y/n] " echo -n "Do you want to accept the new firewall configuration? [y/n] "
@ -1089,7 +1089,7 @@ try_command() {
progress_message3 "Compiling..." progress_message3 "Compiling..."
if ! compiler $debugging $nolock compile ${VARDIR}/.$command; then if ! compiler $g_debugging $nolock compile ${VARDIR}/.$command; then
status=$? status=$?
exit $status exit $status
fi fi
@ -1244,7 +1244,7 @@ reload_command() # $* = original arguments less the command.
[ -n "$TIMESTAMP" ] && timestamp='-t' || timestamp= [ -n "$TIMESTAMP" ] && timestamp='-t' || timestamp=
if shorewall $debugging $verbose $timestamp compile -e $directory $directory/firewall && \ if shorewall $g_debugging $verbose $timestamp compile -e $directory $directory/firewall && \
progress_message3 "Copying $file and ${file}.conf to ${system}:${LITEDIR}..." && \ progress_message3 "Copying $file and ${file}.conf to ${system}:${LITEDIR}..." && \
rcp_command "$directory/firewall $directory/firewall.conf" ${LITEDIR} rcp_command "$directory/firewall $directory/firewall.conf" ${LITEDIR}
then then
@ -1254,15 +1254,15 @@ reload_command() # $* = original arguments less the command.
progress_message3 "Copy complete" progress_message3 "Copy complete"
if [ $COMMAND = reload ]; then if [ $COMMAND = reload ]; then
rsh_command "/sbin/shorewall-lite $debugging $verbose $timestamp restart" && \ rsh_command "/sbin/shorewall-lite $g_debugging $verbose $timestamp restart" && \
progress_message3 "System $system reloaded" || saveit= progress_message3 "System $system reloaded" || saveit=
else else
rsh_command "/sbin/shorewall-lite $debugging $verbose $timestamp start" && \ rsh_command "/sbin/shorewall-lite $g_debugging $verbose $timestamp start" && \
progress_message3 "System $system loaded" || saveit= progress_message3 "System $system loaded" || saveit=
fi fi
if [ -n "$saveit" ]; then if [ -n "$saveit" ]; then
rsh_command "/sbin/shorewall-lite $debugging $verbose $timestamp save" && \ rsh_command "/sbin/shorewall-lite $g_debugging $verbose $timestamp save" && \
progress_message3 "Configuration on system $system saved" progress_message3 "Configuration on system $system saved"
fi fi
fi fi
@ -1331,7 +1331,7 @@ export_command() # $* = original arguments less the command.
file=$(resolve_file $directory/firewall) file=$(resolve_file $directory/firewall)
if shorewall $debugging $verbose compile -e $directory $directory/firewall && \ if shorewall $g_debugging $verbose compile -e $directory $directory/firewall && \
echo "Copying $file and ${file}.conf to ${target#*@}..." && \ echo "Copying $file and ${file}.conf to ${target#*@}..." && \
scp $directory/firewall $directory/firewall.conf $target scp $directory/firewall $directory/firewall.conf $target
then then
@ -1409,10 +1409,10 @@ usage() # $1 = exit status
# #
# Execution begins here # Execution begins here
# #
debugging= g_debugging=
if [ $# -gt 0 ] && [ "x$1" = "xdebug" -o "x$1" = "xtrace" ]; then if [ $# -gt 0 ] && [ "x$1" = "xdebug" -o "x$1" = "xtrace" ]; then
debugging=$1 g_debugging=$1
shift shift
fi fi
@ -1652,7 +1652,7 @@ case "$COMMAND" in
[ -x $FIREWALL ] || fatal_error "Shorewall has never been started" [ -x $FIREWALL ] || fatal_error "Shorewall has never been started"
export NOROUTES export NOROUTES
mutex_on mutex_on
$SHOREWALL_SHELL $FIREWALL $debugging $nolock $COMMAND $SHOREWALL_SHELL $FIREWALL $g_debugging $nolock $COMMAND
mutex_off mutex_off
;; ;;
reset) reset)
@ -1661,7 +1661,7 @@ case "$COMMAND" in
shift shift
mutex_on mutex_on
[ -x $FIREWALL ] || fatal_error "Shorewall has never been started" [ -x $FIREWALL ] || fatal_error "Shorewall has never been started"
$SHOREWALL_SHELL $FIREWALL $debugging $nolock reset $@ $SHOREWALL_SHELL $FIREWALL $g_debugging $nolock reset $@
mutex_off mutex_off
;; ;;
compile) compile)
@ -1734,7 +1734,7 @@ case "$COMMAND" in
;; ;;
hits) hits)
get_config Yes No Yes get_config Yes No Yes
[ -n "$debugging" ] && set -x [ -n "$g_debugging" ] && set -x
shift shift
hits_command $@ hits_command $@
;; ;;
@ -1754,7 +1754,7 @@ case "$COMMAND" in
;; ;;
drop) drop)
get_config get_config
[ -n "$debugging" ] && set -x [ -n "$g_debugging" ] && set -x
[ $# -eq 1 ] && usage 1 [ $# -eq 1 ] && usage 1
if shorewall_is_started ; then if shorewall_is_started ; then
if ! chain_exists dynamic; then if ! chain_exists dynamic; then
@ -1771,7 +1771,7 @@ case "$COMMAND" in
;; ;;
logdrop) logdrop)
get_config get_config
[ -n "$debugging" ] && set -x [ -n "$g_debugging" ] && set -x
[ $# -eq 1 ] && usage 1 [ $# -eq 1 ] && usage 1
if shorewall_is_started ; then if shorewall_is_started ; then
if ! chain_exists dynamic; then if ! chain_exists dynamic; then
@ -1788,7 +1788,7 @@ case "$COMMAND" in
;; ;;
reject|logreject) reject|logreject)
get_config get_config
[ -n "$debugging" ] && set -x [ -n "$g_debugging" ] && set -x
[ $# -eq 1 ] && usage 1 [ $# -eq 1 ] && usage 1
if shorewall_is_started ; then if shorewall_is_started ; then
[ -n "$nolock" ] || mutex_on [ -n "$nolock" ] || mutex_on
@ -1814,7 +1814,7 @@ case "$COMMAND" in
;; ;;
save) save)
get_config get_config
[ -n "$debugging" ] && set -x [ -n "$g_debugging" ] && set -x
case $# in case $# in
1) 1)
@ -1867,7 +1867,7 @@ case "$COMMAND" in
rm -f ${VARDIR}/save rm -f ${VARDIR}/save
;; ;;
ipcalc) ipcalc)
[ -n "$debugging" ] && set -x [ -n "$g_debugging" ] && set -x
if [ $# -eq 2 ]; then if [ $# -eq 2 ]; then
address=${2%/*} address=${2%/*}
vlsm=${2#*/} vlsm=${2#*/}
@ -1892,7 +1892,7 @@ case "$COMMAND" in
;; ;;
iprange) iprange)
[ -n "$debugging" ] && set -x [ -n "$g_debugging" ] && set -x
case $2 in case $2 in
*.*.*.*-*.*.*.*) *.*.*.*-*.*.*.*)
for address in ${2%-*} ${2#*-}; do for address in ${2%-*} ${2#*-}; do
@ -1907,7 +1907,7 @@ case "$COMMAND" in
esac esac
;; ;;
ipdecimal) ipdecimal)
[ -n "$debugging" ] && set -x [ -n "$g_debugging" ] && set -x
[ $# -eq 2 ] || usage 1 [ $# -eq 2 ] || usage 1
case $2 in case $2 in
*.*.*.*) *.*.*.*)
@ -1926,7 +1926,7 @@ case "$COMMAND" in
;; ;;
call) call)
get_config get_config
[ -n "$debugging" ] && set -x [ -n "$g_debugging" ] && set -x
# #
# Undocumented way to call functions in ${SHAREDIR}/functions directly # Undocumented way to call functions in ${SHAREDIR}/functions directly
# #

View File

@ -421,7 +421,7 @@ show_command() {
g_ipt_options="$g_ipt_options $g_ipt_options1" g_ipt_options="$g_ipt_options $g_ipt_options1"
[ -n "$debugging" ] && set -x [ -n "$g_debugging" ] && set -x
case "$1" in case "$1" in
connections) connections)
[ $# -gt 1 ] && usage 1 [ $# -gt 1 ] && usage 1
@ -656,7 +656,7 @@ dump_command() {
[ $VERBOSE -lt 2 ] && VERBOSE=2 [ $VERBOSE -lt 2 ] && VERBOSE=2
[ -n "$debugging" ] && set -x [ -n "$g_debugging" ] && set -x
[ $# -eq 0 ] || usage 1 [ $# -eq 0 ] || usage 1
clear_term clear_term
echo "$PRODUCT $version Dump at $HOSTNAME - $(date)" echo "$PRODUCT $version Dump at $HOSTNAME - $(date)"
@ -1026,7 +1026,7 @@ hits_command() {
# 'allow' command executor # 'allow' command executor
# #
allow_command() { allow_command() {
[ -n "$debugging" ] && set -x [ -n "$g_debugging" ] && set -x
[ $# -eq 1 ] && usage 1 [ $# -eq 1 ] && usage 1
if shorewall6_is_started ; then if shorewall6_is_started ; then
if ! chain_exists dynamic; then if ! chain_exists dynamic; then
@ -1116,7 +1116,7 @@ logwatch_command() {
esac esac
done done
[ -n "$debugging" ] && set -x [ -n "$g_debugging" ] && set -x
if [ $# -eq 1 ]; then if [ $# -eq 1 ]; then
logwatch $1 logwatch $1

View File

@ -293,7 +293,7 @@ compiler() {
[ -n "$TIMESTAMP" ] && options="$options --timestamp" [ -n "$TIMESTAMP" ] && options="$options --timestamp"
[ -n "$g_test" ] && options="$options --test" [ -n "$g_test" ] && options="$options --test"
[ -n "$g_preview" ] && options="$options --preview" [ -n "$g_preview" ] && options="$options --preview"
[ "$debugging" = trace ] && options="$options --debug" [ "$g_debugging" = trace ] && options="$options --debug"
[ -n "$g_refreshchains" ] && options="$options --refresh=$g_refreshchains" [ -n "$g_refreshchains" ] && options="$options --refresh=$g_refreshchains"
[ -x $pc ] || startup_error "Shorewall6 requires the shorewall package which is not installed" [ -x $pc ] || startup_error "Shorewall6 requires the shorewall package which is not installed"
# #
@ -322,15 +322,15 @@ start_command() {
if [ -n "$AUTOMAKE" ]; then if [ -n "$AUTOMAKE" ]; then
[ -n "$nolock" ] || mutex_on [ -n "$nolock" ] || mutex_on
${VARDIR}/firewall $debugging start ${VARDIR}/firewall $g_debugging start
rc=$? rc=$?
[ -n "$nolock" ] || mutex_off [ -n "$nolock" ] || mutex_off
else else
progress_message3 "Compiling..." progress_message3 "Compiling..."
if compiler run $debugging $nolock compile ${VARDIR}/.start; then if compiler run $g_debugging $nolock compile ${VARDIR}/.start; then
[ -n "$nolock" ] || mutex_on [ -n "$nolock" ] || mutex_on
${VARDIR}/.start $debugging start ${VARDIR}/.start $g_debugging start
rc=$? rc=$?
[ -n "$nolock" ] || mutex_off [ -n "$nolock" ] || mutex_off
else else
@ -534,7 +534,7 @@ compile_command() {
[ "x$file" = x- ] || progress_message3 "Compiling..." [ "x$file" = x- ] || progress_message3 "Compiling..."
compiler exec $debugging compile $file compiler exec $g_debugging compile $file
} }
# #
@ -609,7 +609,7 @@ check_command() {
progress_message3 "Checking..." progress_message3 "Checking..."
compiler exec $debugging $nolock check compiler exec $g_debugging $nolock check
} }
# #
@ -708,9 +708,9 @@ restart_command() {
if [ -z "$g_fast" ]; then if [ -z "$g_fast" ]; then
progress_message3 "Compiling..." progress_message3 "Compiling..."
if compiler run $debugging $nolock compile ${VARDIR}/.restart; then if compiler run $g_debugging $nolock compile ${VARDIR}/.restart; then
[ -n "$nolock" ] || mutex_on [ -n "$nolock" ] || mutex_on
$SHOREWALL_SHELL ${VARDIR}/.restart $debugging restart $SHOREWALL_SHELL ${VARDIR}/.restart $g_debugging restart
rc=$? rc=$?
[ -n "$nolock" ] || mutex_off [ -n "$nolock" ] || mutex_off
else else
@ -720,7 +720,7 @@ restart_command() {
else else
[ -x ${VARDIR}/firewall ] || fatal_error "No ${VARDIR}/firewall file found" [ -x ${VARDIR}/firewall ] || fatal_error "No ${VARDIR}/firewall file found"
[ -n "$nolock" ] || mutex_on [ -n "$nolock" ] || mutex_on
$SHOREWALL_SHELL ${VARDIR}/firewall $debugging restart $SHOREWALL_SHELL ${VARDIR}/firewall $g_debugging restart
rc=$? rc=$?
[ -n "$nolock" ] || mutex_off [ -n "$nolock" ] || mutex_off
fi fi
@ -778,9 +778,9 @@ refresh_command() {
progress_message3 "Compiling..." progress_message3 "Compiling..."
if compiler run $debugging $nolock compile ${VARDIR}/.refresh; then if compiler run $g_debugging $nolock compile ${VARDIR}/.refresh; then
[ -n "$nolock" ] || mutex_on [ -n "$nolock" ] || mutex_on
$SHOREWALL_SHELL ${VARDIR}/.refresh $debugging refresh $SHOREWALL_SHELL ${VARDIR}/.refresh $g_debugging refresh
rc=$? rc=$?
[ -n "$nolock" ] || mutex_off [ -n "$nolock" ] || mutex_off
else else
@ -879,7 +879,7 @@ safe_commands() {
progress_message3 "Compiling..." progress_message3 "Compiling..."
if ! compiler run $debugging nolock compile ${VARDIR}/.$command; then if ! compiler run $g_debugging nolock compile ${VARDIR}/.$command; then
status=$? status=$?
exit $status exit $status
fi fi
@ -1016,7 +1016,7 @@ try_command() {
progress_message3 "Compiling..." progress_message3 "Compiling..."
if ! compiler run $debugging $nolock compile ${VARDIR}/.$command; then if ! compiler run $g_debugging $nolock compile ${VARDIR}/.$command; then
status=$? status=$?
exit $status exit $status
fi fi
@ -1171,7 +1171,7 @@ reload_command() # $* = original arguments less the command.
[ -n "$TIMESTAMP" ] && timestamp='-t' || timestamp= [ -n "$TIMESTAMP" ] && timestamp='-t' || timestamp=
if shorewall6 $debugging $verbose $timestamp compile -e $compiler $directory $directory/firewall && \ if shorewall6 $g_debugging $verbose $timestamp compile -e $compiler $directory $directory/firewall && \
progress_message3 "Copying $file and ${file}.conf to ${system}:${LITEDIR}..." && \ progress_message3 "Copying $file and ${file}.conf to ${system}:${LITEDIR}..." && \
rcp_command "$directory/firewall $directory/firewall.conf" ${LITEDIR} rcp_command "$directory/firewall $directory/firewall.conf" ${LITEDIR}
then then
@ -1181,15 +1181,15 @@ reload_command() # $* = original arguments less the command.
progress_message3 "Copy complete" progress_message3 "Copy complete"
if [ $COMMAND = reload ]; then if [ $COMMAND = reload ]; then
rsh_command "/sbin/shorewall6-lite $debugging $verbose $timestamp restart" && \ rsh_command "/sbin/shorewall6-lite $g_debugging $verbose $timestamp restart" && \
progress_message3 "System $system reloaded" || saveit= progress_message3 "System $system reloaded" || saveit=
else else
rsh_command "/sbin/shorewall6-lite $debugging $verbose $timestamp start" && \ rsh_command "/sbin/shorewall6-lite $g_debugging $verbose $timestamp start" && \
progress_message3 "System $system loaded" || saveit= progress_message3 "System $system loaded" || saveit=
fi fi
if [ -n "$saveit" ]; then if [ -n "$saveit" ]; then
rsh_command "/sbin/shorewall6-lite $debugging $verbose $timestamp save" && \ rsh_command "/sbin/shorewall6-lite $g_debugging $verbose $timestamp save" && \
progress_message3 "Configuration on system $system saved" progress_message3 "Configuration on system $system saved"
fi fi
fi fi
@ -1260,7 +1260,7 @@ export_command() # $* = original arguments less the command.
file=$(resolve_file $directory/firewall) file=$(resolve_file $directory/firewall)
if shorewall6 $debugging $verbose compile -e $compiler $directory $directory/firewall && \ if shorewall6 $g_debugging $verbose compile -e $compiler $directory $directory/firewall && \
echo "Copying $file and ${file}.conf to ${target#*@}..." && \ echo "Copying $file and ${file}.conf to ${target#*@}..." && \
scp $directory/firewall $directory/firewall.conf $target scp $directory/firewall $directory/firewall.conf $target
then then
@ -1318,10 +1318,10 @@ usage() # $1 = exit status
# #
# Execution begins here # Execution begins here
# #
debugging= g_debugging=
if [ $# -gt 0 ] && [ "x$1" = "xdebug" -o "x$1" = "xtrace" ]; then if [ $# -gt 0 ] && [ "x$1" = "xdebug" -o "x$1" = "xtrace" ]; then
debugging=$1 g_debugging=$1
shift shift
fi fi
@ -1565,7 +1565,7 @@ case "$COMMAND" in
[ -x $FIREWALL ] || fatal_error "Shorewall6 has never been started" [ -x $FIREWALL ] || fatal_error "Shorewall6 has never been started"
export NOROUTES export NOROUTES
mutex_on mutex_on
$SHOREWALL_SHELL $FIREWALL $debugging $nolock $COMMAND $SHOREWALL_SHELL $FIREWALL $g_debugging $nolock $COMMAND
mutex_off mutex_off
;; ;;
reset) reset)
@ -1574,7 +1574,7 @@ case "$COMMAND" in
shift shift
mutex_on mutex_on
[ -x $FIREWALL ] || fatal_error "Shorewall6 has never been started" [ -x $FIREWALL ] || fatal_error "Shorewall6 has never been started"
$SHOREWALL_SHELL $FIREWALL $debugging $nolock reset $@ $SHOREWALL_SHELL $FIREWALL $g_debugging $nolock reset $@
mutex_off mutex_off
;; ;;
compile) compile)
@ -1661,7 +1661,7 @@ case "$COMMAND" in
;; ;;
drop) drop)
get_config get_config
[ -n "$debugging" ] && set -x [ -n "$g_debugging" ] && set -x
[ $# -eq 1 ] && usage 1 [ $# -eq 1 ] && usage 1
if shorewall6_is_started ; then if shorewall6_is_started ; then
[ -n "$nolock" ] || mutex_on [ -n "$nolock" ] || mutex_on
@ -1673,7 +1673,7 @@ case "$COMMAND" in
;; ;;
logdrop) logdrop)
get_config get_config
[ -n "$debugging" ] && set -x [ -n "$g_debugging" ] && set -x
[ $# -eq 1 ] && usage 1 [ $# -eq 1 ] && usage 1
if shorewall6_is_started ; then if shorewall6_is_started ; then
[ -n "$nolock" ] || mutex_on [ -n "$nolock" ] || mutex_on
@ -1685,7 +1685,7 @@ case "$COMMAND" in
;; ;;
reject|logreject) reject|logreject)
get_config get_config
[ -n "$debugging" ] && set -x [ -n "$g_debugging" ] && set -x
[ $# -eq 1 ] && usage 1 [ $# -eq 1 ] && usage 1
if shorewall6_is_started ; then if shorewall6_is_started ; then
[ -n "$nolock" ] || mutex_on [ -n "$nolock" ] || mutex_on
@ -1701,7 +1701,7 @@ case "$COMMAND" in
;; ;;
save) save)
get_config get_config
[ -n "$debugging" ] && set -x [ -n "$g_debugging" ] && set -x
case $# in case $# in
1) 1)
@ -1766,7 +1766,7 @@ case "$COMMAND" in
;; ;;
call) call)
get_config get_config
[ -n "$debugging" ] && set -x [ -n "$g_debugging" ] && set -x
# #
# Undocumented way to call functions in ${SHAREDIR}/functions directly # Undocumented way to call functions in ${SHAREDIR}/functions directly
# #